NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Part Class Reference

Represents an NX part of type .prt. More...

Inheritance diagram for NXOpen.Part:
NXOpen.BasePart NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  _FeatureUpdateStatus
 Contains feature update status report
 
struct  _PartFamilyAttributeData
 Contains part family attributes information
 
struct  FeatureUpdateStatus
 Contains feature update status report More...
 
struct  PartFamilyAttributeData
 Contains part family attributes information More...
 

Public Types

enum  PartFamilyAttrType {
  TextType = 1, NumericType, IntegerType, DoubleType,
  StringType, PartType, NameType, InstanceType,
  ExpressionType, MirrorType, DensityType, FeatureType
}
 The part family attribute types. More...
 
enum  Relations { Standalone, ReferenceExisting, Mix }
 The relations of the part file. More...
 
enum  Units { Inches, Millimeters, Mix }
 The units of the part file. More...
 
- Public Types inherited from NXOpen.BasePart
enum  BookmarkOption {
  All, ComponentGroupsLoadOptions, ComponentGroupsOnly, AllPlusDisplay,
  ComponentGroupsLoadOptionsPlusDisplay, ComponentGroupsOnlyPlusDisplay, DisplayOnly, Empty
}
 Controls the information written to a bookmark file. More...
 
enum  CloseAfterSave { False, True }
 Used to specify whether a part should be closed after it is saved. More...
 
enum  CloseModified { UseResponses, CloseModified, DontCloseModified }
 Indicates how part close should handle component parts when they are modified More...
 
enum  CloseWholeTree { False, True }
 Used to specify whether or not to close a part's components during a close operation. More...
 
enum  CollaborativeContentType {
  Workset, Subset, ShapeDesignElement, OverridePart,
  NotAssigned
}
 Represents the collaborative content type corresponding to this part More...
 
enum  PartPreview { None, OnSave, OnDemand }
 Specifies the preview mode of the part file. More...
 
enum  SaveComponents { False, True }
 Used to specify whether a part's components should be saved (if modified) when the part is saved. More...
 
enum  Units { Inches, Millimeters }
 The units of the part file. More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe void ConvertPreNX9CompoundWelds ()
 Convert any existing pre-NX9 Compound Weld User Defined Objects to NX features. More...
 
unsafe
NXOpen.GeometricUtilities.BoundingObjectBuilder 
CreateBoundingObjectBuilder ()
 Creates an NXOpen.GeometricUtilities.BoundingObjectBuilder object. More...
 
unsafe NXOpen.CAM.CAMSetup CreateCamSetup (string templateName)
 Creates CAM setup More...
 
unsafe
NXOpen.GeometricUtilities.BlendSetbackBuilder 
CreateEmptyBlendSetbackBuilder ()
 Creates a NXOpen.GeometricUtilities.BlendSetbackBuilder object More...
 
unsafe
NXOpen.GeometricUtilities.BoundaryDefinitionBuilder 
CreateEmptyBoundaryDefinitionBuilder ()
 Creates boundary definition builder object More...
 
unsafe
NXOpen.ExpressionCollectorSet 
CreateEmptyExpressionCollectorSet ()
 Creates an empty ExpressionCollectorSet item More...
 
unsafe NXOpen.ExpressionSectionSet CreateEmptyExpressionSectionSet ()
 Creates an empty ExpressionSectionSet item More...
 
unsafe NXOpen.RegionPoint CreateEmptyRegionPoint ()
 Creates an empty item that contains a point and its corresponding body context for a region More...
 
unsafe
NXOpen.GeometricUtilities.SelectionList 
CreateEmptySelectionList ()
 Creates empty NXOpen.GeometricUtilities.SelectionList object. More...
 
unsafe
NXOpen.GeometricUtilities.SpinePlaneBuilder 
CreateEmptySpinePlaneBuilder ()
 Creates spine plane builder object More...
 
unsafe
NXOpen.GeometricUtilities.TransitionCurveBuilder 
CreateEmptyTransitionCurveBuilder ()
 Creates a NXOpen.GeometricUtilities.TransitionCurveBuilder object More...
 
unsafe
NXOpen.GeometricUtilities.TwoExpressionsCollectorSet 
CreateEmptyTwoExpressionsCollectorSet ()
 Creates an empty TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions More...
 
unsafe
NXOpen.GeometricUtilities.TwoExpressionsSectionSet 
CreateEmptyTwoExpressionsSectionSet ()
 Creates an empty TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions More...
 
unsafe
NXOpen.ExpressionCollectorSet 
CreateExpressionCollectorSet (NXOpen.ScCollector collector, string value, string unitsType, int index)
 Creates an ExpressionCollectorSet item that contains a NXOpen.ScCollector collection and a corresponding expression More...
 
unsafe NXOpen.ExpressionSectionSet CreateExpressionSectionSet (NXOpen.Section section, string value, string unitsType, int index)
 Creates an ExpressionSectionSet item that contains a NXOpen.Section collection and a corresponding expression More...
 
unsafe NXOpen.CAM.InspectionSetup CreateInspectionSetup (string templateName)
 Creates CMM Inspection setup More...
 
unsafe
NXOpen.SIM.KinematicConfigurator 
CreateKinematicConfigurator ()
 Create an instance of NXOpen.SIM.KinematicConfigurator class that will be used to manage all Machine tool Builder and Configurator objects More...
 
unsafe NXOpen.ObjectList CreateObjectList ()
 Creates an empty list that can be populated with any NXObject More...
 
unsafe NXOpen.PartFamilyManager CreatePartFamily (NXOpen.Part.PartFamilyAttributeData[] attributeData, NXOpen.PartFamilyMemberData memberData)
 Create a part family of the part. More...
 
unsafe
NXOpen.GeometricUtilities.PointSetAlignmentBuilder 
CreatePointSetAlignmentBuilder ()
 Creates point set alignment builder object More...
 
unsafe
NXOpen.GeometricUtilities.PointsFromFileBuilder 
CreatePointsFromFileBuilder ()
 Creates a NXOpen.GeometricUtilities.PointsFromFileBuilder object More...
 
unsafe NXOpen.RegionPoint CreateRegionPoint (NXOpen.Point point, NXOpen.Body body)
 Creates an item that contains a point and its corresponding body context for a region More...
 
unsafe
NXOpen.GeometricUtilities.SelectionList 
CreateSelectionList ()
 Creates a NXOpen.GeometricUtilities.SelectionList object with embeded NXOpen.Section . More...
 
unsafe
NXOpen.GeometricUtilities.TwoExpressionsCollectorSet 
CreateTwoExpressionsCollectorSet (NXOpen.ScCollector collector, string value, string valueTwo, string unitsType, int index)
 Creates an TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions More...
 
unsafe
NXOpen.GeometricUtilities.TwoExpressionsSectionSet 
CreateTwoExpressionsSectionSet (NXOpen.Section section, string value, string valueTwo, string unitsType, int index)
 Creates an TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions More...
 
unsafe
NXOpen.GeometricUtilities.WaveLinkRepository 
CreateWavelinkRepository ()
 Create the link repository to handle interpart selection More...
 
unsafe void DeleteCamSetup ()
 Delete CAM setup More...
 
unsafe void DeleteInspectionSetup ()
 Delete CMM Inspection setup More...
 
unsafe void DeleteRetainedDraftingObjectsInCurrentLayout ()
 Deletes all retained drafting objects in the current layout of part that are currently in the "retained" state. More...
 
unsafe NXOpen.PartFamily.Instance GetFamilyInstance ()
 Obtains the NXOpen.PartFamily.Instance from part. More...
 
unsafe NXOpen.Part[] GetInterpartChildren ()
 Returns a list of child parts in the current session that contain interpart geometry. More...
 
unsafe NXOpen.Part[] GetInterpartParents ()
 Returns a list of parts in the current session that contain the defining geometry for linked geometry in this part. More...
 
unsafe NXOpen.PartFamilyManager GetPartFamilyManager ()
 Create an instance of a NXOpen.PartFamilyManager class that will be used to edit part family of the part. More...
 
unsafe
NXOpen.Part.FeatureUpdateStatus[] 
GetUpdateStatusReport (out int numFailed)
 Get feature update status report More...
 
unsafe void MakeAllFeaturesInactive ()
 Makes all the features of the part inactive More...
 
unsafe void MakeNoPartModuleActive ()
 Deactivates any part module that is active in the given part. More...
 
unsafe NXOpen.PartFamilyMemberData NewPartFamilyMemberData ()
 Create an instance of a NXOpen.PartFamilyMemberData class that will be used to store the member count and member values of each member. More...
 
unsafe
NXOpen.PartFamilyMemberValues 
NewPartFamilyMemberValues ()
 Create an instance of a NXOpen.PartFamilyMemberValues class that will be used to store the attribute values of a member. More...
 
unsafe
NXOpen.PartFamily.TemplateManager 
NewPartFamilyTemplateManager ()
 Creates an instance of a NXOpen.PartFamily.TemplateManager class that will be used to manage part family associated with this part More...
 
unsafe NXOpen.Features.EdgeBlend[] RemoveMissingParentsFromEdgeBlend (out int[] removedEdgeCounts)
 Removes missing parent edges from all edge blend features in the part More...
 
unsafe void ResetTimestampToLatestFeature ()
 Sets the timestamp for the part to the timestamp of the latest feature in the part. More...
 
- Public Member Functions inherited from NXOpen.BasePart
unsafe void AssignPermanentName (string newFileName)
 Saves a temporary part with the given name. More...
 
unsafe bool CanBeDisplayPart ()
 Returns true if the part can be displayed and false if not displayed. More...
 
unsafe void Close (NXOpen.BasePart.CloseWholeTree wholeTree, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses)
 Closes an open part. More...
 
unsafe void CompleteStructure ()
 Make additions necessary to complete the incomplete assembly structure of the input part More...
 
unsafe
NXOpen.Display.DynamicSectionBuilder 
CreateDynamicSectionBuilder (bool loadFromView)
 Creates a NXOpen.Display.DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown. More...
 
unsafe
NXOpen.EffectivityConditionBuilder 
CreateEffectivityConditionBuilder (NXOpen.CollaborativeDesign cd, string effectivityFormula)
 Creates a NXOpen.EffectivityConditionBuilder More...
 
unsafe
NXOpen.EffectivityConditionBuilder 
CreateEffectivityConditionBuilder (NXOpen.CollaborativeDesign cd, string validationBasisFormula, string effectivityFormula)
 Creates a NXOpen.EffectivityConditionBuilder with initializing validation basis formula More...
 
unsafe
NXOpen.Display.FacetSettingsBuilder 
CreateFacetSettingsBuilder ()
 Creates a builder for the Facet Settings dialog More...
 
unsafe NXOpen.GroupBuilder CreateGatewayGroupBuilder (NXOpen.Group group)
 Creates a Groups builder More...
 
unsafe
NXOpen.Display.PerspectiveOptionsBuilder 
CreatePerspectiveOptionsBuilder ()
 Creates a builder for the Perspective Options dialog More...
 
unsafe NXOpen.ReferenceSet CreateReferenceSet ()
 Creates a NXOpen.ReferenceSet object More...
 
unsafe void DeleteDisplayFacets (bool deleteSavedDisplayFacets, bool processChildren)
 Deletes transient and optionally saved display facets. More...
 
unsafe void DeleteReferenceSet (NXOpen.ReferenceSet referenceSetObject)
 Deletes a NXOpen.ReferenceSet object More...
 
unsafe NXOpen.ReferenceSet[] GetAllReferenceSets ()
 Get all the NXOpen.ReferenceSet objects in this part. More...
 
unsafe void GetArrangements (out NXOpen.Assemblies.Arrangement[] arrangements)
 Outputs the NXOpen.Assemblies.Arrangement objects within the given part. More...
 
unsafe
NXOpen.BasePart.CollaborativeContentType 
GetCollaborativeContentType ()
 The collaborative content type of this part. More...
 
unsafe
NXOpen.BasePart.HistoryEventInformation[] 
GetHistoryInformation ()
 Get history of part More...
 
unsafe
NXOpen.BasePart.IncompleteStatus 
GetIncompleteStatus ()
 Inquire whether the provided part is flagged as being incomplete More...
 
unsafe string GetMakeUniqueName ()
 Gets the Unique name on a part for the Make Unique operation More...
 
unsafe void GetMinimallyLoadedParts (out NXOpen.BasePart[] minimallyLoadedParts)
 Gets the minimally loaded parts from input part. More...
 
unsafe void GetPreviewImage (out int width, out int height, out int[] pixels)
 Get the preview image This will return the graphic preview image of the part (when available). More...
 
unsafe
NXOpen.BasePart.TransientStatus 
GetTransientStatus ()
 Inquire whether the provided part is flagged as being transient More...
 
unsafe bool HasAnyMinimallyLoadedChildren ()
 Determines whether part has any minimally loaded descendent parts. More...
 
unsafe NXOpen.PartLoadStatus LoadFeatureDataForSelection ()
 Ensure that feature data is loaded for a part. More...
 
unsafe NXOpen.PartLoadStatus LoadFully ()
 Ensures that this part is fully loaded. More...
 
unsafe NXOpen.PartLoadStatus LoadThisPartFully ()
 Ensures that this part is fully loaded. More...
 
unsafe NXOpen.PartLoadStatus LoadThisPartPartially ()
 Ensures that this part is at least partially loaded. More...
 
unsafe void RegenerateDisplayFacets (bool regenerateChildren)
 Regenerates display specific transient cached facets in the part. More...
 
unsafe void RegenerateDisplayFacets (bool deleteSavedDisplayFacets, bool regenerateChildren)
 Regenerates display specific cached facets in the part. More...
 
unsafe void ReinstateTransience ()
 Reinstate the transient status to the formerly transient input part More...
 
unsafe void RemoveTransience ()
 Remove the transient status from the input part More...
 
unsafe NXOpen.BasePart Reopen (NXOpen.BasePart.CloseWholeTree wholeTree, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses, out NXOpen.PartReopenReport reopenReport)
 Reopens a loaded part. More...
 
unsafe NXOpen.BasePart ReopenAs (string fileName, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses, out NXOpen.PartReopenReport reopenReport)
 Reopens a loaded part. More...
 
unsafe void ReverseBlankAll ()
 Reverse blank all the objects in the part. More...
 
unsafe NXOpen.PartSaveStatus Save (NXOpen.BasePart.SaveComponents saveComponentParts, NXOpen.BasePart.CloseAfterSave close)
 Saves the part whether it is modified or not. More...
 
unsafe NXOpen.PartSaveStatus SaveAs (string newFileName)
 Creates copy of target part. More...
 
unsafe void SaveBookmark (string fileName, NXOpen.BasePart.BookmarkOption option)
 Saves a bookmark file. More...
 
unsafe void SetMakeUniqueName (string newUniqueName)
 Sets the unique name on part for the Make Unique operation More...
 
unsafe void Undisplay ()
 Undisplays the part, if it is currently a displayed part. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

NXOpen.GeometricUtilities.BlendStopshortBuilderCollection BlendStopshortBuilder [get]
 Returns the BlendStopshortBuilderCollection instance belonging to this part More...
 
NXOpen.BodyCollection Bodies [get]
 Returns the BodyCollection instance belonging to this part More...
 
NXOpen.Tooling.CAMDataManager CAMDataManager [get]
 Returns the Tooling. More...
 
NXOpen.GeometricUtilities.CAMDataPrepManager CAMDataPrepManager [get]
 Returns the CAMDataPrepManager instance belonging to this part More...
 
unsafe NXOpen.CAM.CAMSetup CAMSetup [get]
 Returns the CAM setup of the work part More...
 
NXOpen.ClipboardOperationsManager ClipboardOperationsManager [get]
 Returns the ClipboardOperations manager for this part More...
 
NXOpen.Layout2d.ComponentCollection Component2dCollection [get]
 Returns the ComponentCollection instance belonging to this part More...
 
NXOpen.Layout2d.ComponentDefinitionCollection ComponentDefinitions [get]
 Returns the ComponentDefinitionCollection instance belonging to this part More...
 
NXOpen.Assemblies.ComponentGroupCollection ComponentGroups [get]
 Returns the collection of ComponentGroups for this part More...
 
unsafe NXOpen.Features.Feature CurrentFeature [get]
 Returns the current feature. More...
 
NXOpen.CutViewCollection CutViews [get]
 Returns the CutViewCollection instance belonging to this part More...
 
NXOpen.PDM.DBEntityProxyCollection DBEntityProxies [get]
 Returns the DBEntityProxyCollection instance belonging to this part More...
 
NXOpen.Diagramming.DiagrammingManager DiagrammingManager [get]
 Returns the DiagrammingManager instance belonging to this part More...
 
NXOpen.Die.DieSimCollection DieSimData [get]
 Returns the Die. More...
 
NXOpen.Annotations.DimensionCollection Dimensions [get]
 Returns the DimensionCollection instance belonging to this part More...
 
NXOpen.Positioning.DisplayedConstraintCollection DisplayedConstraints [get]
 Returns the DisplayedConstraintCollection belonging to this part More...
 
NXOpen.DraftingManager Drafting [get]
 Returns the DraftingManager for part More...
 
NXOpen.Drawings.DraftingDrawingSheetCollection DraftingDrawingSheets [get]
 Returns the DraftingDrawingSheetCollection instance belonging to this part More...
 
NXOpen.Drafting.DraftingApplicationManager DraftingManager [get]
 Returns the DraftingApplicationManager for part More...
 
NXOpen.Drawings.DraftingViewCollection DraftingViews [get]
 Returns the DraftingViewCollection instance belonging to this part More...
 
NXOpen.DraftPointDataCollection DraftPointData [get]
 Returns the collection of DraftPointData More...
 
NXOpen.DrawingCompareManager DrawingCompare [get]
 Returns the DraftingManager for part More...
 
NXOpen.Drawings.DrawingSheetCollection DrawingSheets [get]
 Returns the DrawingSheetCollection instance belonging to this part More...
 
NXOpen.GeometricUtilities.FacePlaneSelectionBuilderCollection FacePlaneSelectionBuilderData [get]
 Returns the FacePlaneSelectionBuilderCollection instance belonging to this part More...
 
NXOpen.GeometricUtilities.FaceSetDataCollection FaceSetData [get]
 Returns the FaceSetDataCollection instance belonging to this part More...
 
NXOpen.GeometricUtilities.FaceSetOffsetCollection FaceSetOffsets [get]
 Returns the FaceSetOffsets instance belonging to this part More...
 
NXOpen.FacetCollectorCollection FacetCollectorCollection [get]
 Returns the FacetCollectorCollection instance belonging to this part More...
 
NXOpen.Facet.FacetedBodyCollection FacetedBodies [get]
 Returns the FacetedBodyCollection instance belonging to this part More...
 
NXOpen.FacetSelectionRuleFactory FacetSelectionRuleFactory [get]
 Returns the FacetSelectionRuleFactory instance belonging to this part More...
 
NXOpen.Mechatronics.GanttCollection GanttCollection [get]
 Returns the GanttCollection instance belonging to this part More...
 
NXOpen.Mechatronics.GanttLinkerCollection GanttLinkerCollection [get]
 Returns the GanttLinkerCollection instance belonging to this part More...
 
NXOpen.Annotations.GdtCollection Gdts [get]
 Returns a collection of GDTs More...
 
NXOpen.GeometricUtilities.GeometryLocationDataCollection GeometryLocationData [get]
 Returns the GeometryLocationDataCollection instance belonging to this part More...
 
unsafe bool HasReuseTemplate [get]
 Returns the indicator that the part contains a reuse template. More...
 
NXOpen.ImportManager ImportManager [get]
 Returns the import manager for this part More...
 
unsafe NXOpen.CAM.InspectionSetup InspectionSetup [get]
 Returns the CMM Inspection setup of the work part More...
 
unsafe bool IsBookletPart [get]
 Returns the status on whether input part is bookletPart or not a bookletPart. More...
 
unsafe
NXOpen.SIM.KinematicConfigurator 
KinematicConfigurator [get]
 Returns the NXOpen.SIM.KinematicConfigurator instance of the work part More...
 
NXOpen.Annotations.LabelCollection Labels [get]
 Returns a collection of labels More...
 
NXOpen.Layout2d.LayoutDrawingSheetCollection LayoutDrawingSheets [get]
 Returns the LayoutDrawingSheetCollection instance belonging to this part More...
 
NXOpen.Layout2d.LocalDefinitionFolderCollection LocalDefinitionFolders [get]
 Returns the LocalDefinitionFolderCollection instance belonging to this part More...
 
NXOpen.GeometricUtilities.LocalUntrimManager LocalUntrimManager [get]
 Obtains the LocalUntrimManager instance belonging to this part More...
 
NXOpen.Motion.MarkerCollection Markers [get]
 Return a collection of Markers More...
 
NXOpen.Mechatronics.MechatronicsManager MechatronicsManager [get]
 Returns the MechatronicsManager instance belonging to this part More...
 
NXOpen.Motion.MotionManager MotionManager [get]
 Returns the MotionManager for this part More...
 
NXOpen.Annotations.NoteCollection Notes [get]
 Returns a collection of notes More...
 
NXOpen.GeometricUtilities.OmnicadManager OmnicadManager [get]
 Obtains the OmnicadManager instance belonging to this part More...
 
NXOpen.BodyDes.OnestepUnformCollection OnestepUnforms [get]
 Returns the BodyDes. More...
 
NXOpen.Motion.PackagingCollection PackagingCollection [get]
 Returns the PackagingCollection for this part More...
 
NXOpen.Features.ShipDesign.PenetrationManager PenetrationManager [get]
 Returns the PenetrationManager for this part More...
 
NXOpen.Mechatronics.PhysicsManager PhysicsManager [get]
 Returns the PhysicsManager for this part More...
 
NXOpen.PLAS.PlasManager PlasManager [get]
 Returns the PlasManager instance belonging to this part More...
 
NXOpen.Annotations.PmiManager PmiManager [get]
 Returns the PmiManager for this part More...
 
NXOpen.Annotations.PmiSettingsManager PmiSettingsManager [get]
 Returns the PmiSettingsManager for part More...
 
NXOpen.Assemblies.ProductInterface.Collection ProductInterface [get]
 Returns the ProductInterface Collection More...
 
NXOpen.Mechatronics.ProxyObjectCollection ProxyObjectCollection [get]
 Returns the ProxyObjectCollection instance belonging to this part More...
 
NXOpen.Mechatronics.ProxyOverrideObjectCollection ProxyOverrideObjectCollection [get]
 Returns the ProxyOverrideObjectCollection instance belonging to this part More...
 
NXOpen.Assemblies.RelinkerCollection Relinkers [get]
 Returns the RelinkerCollection instance belonging to this part More...
 
NXOpen.Tooling.AddReusablePartCollection ReusableParts [get]
 Returns the AddReusablePartCollection instance belonging to this part More...
 
NXOpen.Routing.RouteManager RouteManager [get]
 Returns the RouteManager for this part More...
 
NXOpen.Routing.SegmentManager SegmentManager [get]
 Returns the SegmentManager for this part More...
 
NXOpen.Drafting.SettingsManager SettingsManager [get]
 Returns the SettingsManager for part More...
 
NXOpen.Annotations.ShipDimensionCollection ShipDimensions [get]
 Returns the ShipDimensionCollection instance belonging to this part More...
 
NXOpen.SketchCollection Sketches [get]
 Returns the SketchCollection instance belonging to this part More...
 
NXOpen.SketchEvaluatorCollection SketchEvaluators [get]
 Returns the collection of SketchEvaluator More...
 
NXOpen.Diagramming.SmartDiagrammingManager SmartDiagrammingManager [get]
 Returns the SmartDiagrammingManager instance belonging to this part More...
 
NXOpen.GeometricUtilities.SpinePointDataCollection SpinePointData [get]
 Returns the SpinePointDataCollection instance belonging to this part More...
 
NXOpen.Features.Subdivision.SubdivisionBodyCollection SubdivisionBodies [get]
 Returns the SubdivisionBodyCollection instance belonging to this part More...
 
NXOpen.Tooling.ToolingManager ToolingManager [get]
 Returns the ToolingManager instance belonging to this part More...
 
NXOpen.TracelineCollection Tracelines [get]
 Returns a collection of tracelines More...
 
NXOpen.UserDefinedTemplate.Collection UserDefinedTemplates [get]
 Returns the UserDefinedTemplate. More...
 
NXOpen.GeometricUtilities.UVMapping.UVMappingCollection UVMappingCollection [get]
 Returns the UVMappingCollection instance belonging to this part More...
 
NXOpen.Drawings.ViewAlignmentCollection ViewAlignments [get]
 Returns the ViewAlignmentCollection belonging to this part More...
 
NXOpen.Preferences.ViewPreferences ViewPreferences [get]
 Returns the ViewPreferences Collection More...
 
- Properties inherited from NXOpen.BasePart
NXOpen.GeometricAnalysis.AnalysisManager AnalysisManager [get]
 Returns the GeometricAnalysisManager for part More...
 
NXOpen.Validate.AnalysisResultCollection AnalysisResults [get]
 Returns the AnalysisResultCollection instance belonging to this part More...
 
NXOpen.Display.AnimationCameraCollection AnimationCameras [get]
 Returns the Display. More...
 
NXOpen.Annotations.AnnotationManager Annotations [get]
 Returns the PMI Annotation Manager for part More...
 
NXOpen.ArcCollection Arcs [get]
 Returns the ArcCollection instance belonging to this part More...
 
NXOpen.Assemblies.ProductOutlineManager Assemblies [get]
 Returns the NXOpen.Assemblies.ProductOutlineManager belonging to this session More...
 
NXOpen.Assemblies.AssemblyManager AssemblyManager [get]
 Returns the NXOpen.Assemblies.AssemblyManager belonging to this session More...
 
NXOpen.AxisCollection Axes [get]
 Returns the AxisCollection instance belonging to this part More...
 
NXOpen.Features.BaseFeatureCollection BaseFeatures [get]
 Returns the FeatureCollection instance belonging to this part More...
 
NXOpen.CAE.ViewLayoutManager CaeViewLayoutManager [get]
 Returns the CAE. More...
 
NXOpen.Display.CameraCollection Cameras [get]
 Returns the Display. More...
 
NXOpen.CAM.CAMFeatureCollection CAMFeatures [get]
 Returns the CAMFeatureCollection instance belonging to this part More...
 
NXOpen.Display.CgfxAttrCollection CgfxAttrs [get]
 Returns the Display. More...
 
NXOpen.Display.CgfxMattexCollection CgfxMattex [get]
 Returns the Display. More...
 
NXOpen.ColorManager Colors [get]
 Manages the standard NX colors More...
 
unsafe
NXOpen.Assemblies.ComponentAssembly 
ComponentAssembly [get]
 Returns the component assembly. More...
 
NXOpen.Drawings.ConvertToPMIBuilderManager ConvertToPMIBuilderManager [get]
 Returns the Drawings. More...
 
NXOpen.CoordinateSystemCollection CoordinateSystems [get]
 Returns the CoordinateSystemCollection instance belonging to this part More...
 
NXOpen.CurveCollection Curves [get]
 Returns the CurveCollection instance belonging to this part More...
 
NXOpen.DatumCollection Datums [get]
 Returns the DatumCollection instance belonging to this part More...
 
NXOpen.Display.DecalCollection Decals [get]
 Returns the Display. More...
 
NXOpen.Optimization.DesignStudyCollection DesignStudy [get]
 Returns the design study instance belonging to this part More...
 
NXOpen.DirectionCollection Directions [get]
 Returns the DirectionCollection instance belonging to this part More...
 
unsafe bool Displayed [get]
 Returns true if the part represents a displayed part. More...
 
NXOpen.Display.DynamicSectionCollection DynamicSections [get]
 Returns the Display. More...
 
NXOpen.EllipseCollection Ellipses [get]
 Returns the EllipseCollection instance belonging to this part More...
 
NXOpen.ExpressionGroupCollection ExpressionGroups [get]
 Returns the ExpressionGroupCollection instance belonging to this part More...
 
NXOpen.ExpressionCollection Expressions [get]
 Returns the ExpressionCollection instance belonging to this part More...
 
NXOpen.ExternalFileReferenceManager ExternalFileReferenceManager [get]
 Returns the NXOpen.ExternalFileReferenceManager belonging to this part More...
 
NXOpen.Features.FeatureCollection Features [get]
 Returns the FeatureCollection instance belonging to this part More...
 
unsafe NXOpen.Fields.FieldManager FieldManager [get]
 Returns the field main. More...
 
NXOpen.FontCollection Fonts [get]
 Returns the FontCollection instance belonging to this part More...
 
unsafe string FullPath [get]
 Returns the full path of the part. More...
 
NXOpen.CAE.FunctionCollection Functions [get]
 Returns the CAE. More...
 
NXOpen.Display.GridCollection Grids [get]
 Returns the Display. More...
 
unsafe bool HasWriteAccess [get]
 Returns the write-access status of a part independent of the load state. More...
 
NXOpen.HyperbolaCollection Hyperbolas [get]
 Returns the HyperbolaCollection instance belonging to this part More...
 
NXOpen.Gateway.ImageCaptureManager ImageCaptureManager [get]
 Returns the Gateway. More...
 
NXOpen.Display.ImageCollection Images [get]
 Returns the Display. More...
 
NXOpen.Display.ImageDataCollection ImagesData [get]
 Returns the Display. More...
 
NXOpen.InfiniteLineCollection InfiniteLines [get]
 Returns the InfiniteLineCollection instance belonging to this part More...
 
unsafe bool IsDesignReviewPart [get]
 Returns the status on whether input part is design review part or not. More...
 
unsafe bool IsFullyLoaded [get]
 Returns the load status of a part. More...
 
unsafe bool IsModified [get]
 Returns the modified status of a part. More...
 
unsafe bool IsReadOnly [get]
 Returns the read-only status of a part. More...
 
NXOpen.Layer.CategoryCollection LayerCategories [get]
 Returns a collection of layer categories More...
 
NXOpen.Layer.LayerManager Layers [get]
 Returns the LayerManager for this part More...
 
NXOpen.LayoutCollection Layouts [get]
 Returns the LayoutCollection instance belonging to this part More...
 
unsafe string Leaf [get]
 Returns the leaf name of the part. More...
 
NXOpen.LightCollection Lights [get]
 Returns the LightCollection instance belonging to this part More...
 
NXOpen.LineCollection Lines [get]
 Returns the LineCollection instance belonging to this part More...
 
NXOpen.MaterialManager MaterialManager [get]
 Returns the Material Manager belonging to this Part More...
 
NXOpen.MeasureManager MeasureManager [get]
 Returns the measure manager for this part More...
 
NXOpen.ModelingViewCollection ModelingViews [get]
 Returns the ModelingViewCollection instance belonging to this part More...
 
NXOpen.NXMatrixCollection NXMatrices [get]
 Returns the NXMatrixCollection instance belonging to this part More...
 
NXOpen.OffsetCollection Offsets [get]
 Returns the OffsetCollection instance belonging to this part More...
 
NXOpen.Optimization.OptimizationCollection Optimization [get]
 Returns the optimization instance belonging to this part More...
 
NXOpen.ParabolaCollection Parabolas [get]
 Returns the ParabolaCollection instance belonging to this part More...
 
NXOpen.ParamLibParameterLibraryManager ParameterLibraryManager [get]
 Returns the Parameter Library Manager belonging to this Part More...
 
NXOpen.ParameterTableCollection ParameterTables [get]
 Returns the ParameterTableCollection instance belonging to this part More...
 
unsafe NXOpen.PartLoadState PartLoadState [get]
 Returns the load state of a part. More...
 
unsafe NXOpen.BasePart.PartPreview PartPreviewMode [get, set]
 Returns or sets the preview mode More...
 
unsafe NXOpen.BasePart.Units PartUnits [get]
 Returns the units of the part file. More...
 
NXOpen.PDM.PdmPart PDMPart [get]
 Returns the instance of the PDM. More...
 
NXOpen.Validate.PersistentResultCollection PersistentResults [get]
 Returns the PersistentResultCollection instance belonging to this part More...
 
NXOpen.PlaneCollection Planes [get]
 Return a collection of Planes More...
 
NXOpen.PlotManager PlotManager [get]
 Returns the PlotManager instance belonging to this part More...
 
NXOpen.Display.PointCloudCollection PointClouds [get]
 Returns the Display. More...
 
NXOpen.PointCollection Points [get]
 Returns the PointCollection instance belonging to this part More...
 
NXOpen.PolylineCollection Polylines [get]
 Returns the PolylineCollection instance belonging to this part More...
 
NXOpen.Preferences.PartPreferences Preferences [get]
 Returns the PartPreferences instance belonging to this part More...
 
NXOpen.PropertiesManager PropertiesManager [get]
 Returns the PropertiesManager instance belonging to this part More...
 
NXOpen.Validate.RequirementCheckCollection RequirementChecks [get]
 Returns the RequirementCheckCollection instance belonging to this part More...
 
NXOpen.Validate.RequirementCollection Requirements [get]
 Returns the RequirementCollection instance belonging to this part More...
 
NXOpen.RuleManager RuleManager [get]
 Returns the rule manager for this part More...
 
unsafe bool SaveDisplayFacets [get, set]
 Returns or sets whether display quality facets are saved in the part file More...
 
NXOpen.PartSaveOptions SaveOptions [get]
 Returns the PartSaveOptions instance belonging to this part More...
 
NXOpen.ScalarCollection Scalars [get]
 Returns the ScalarCollection instance belonging to this part More...
 
NXOpen.ScCollectorCollection ScCollectors [get]
 Returns the ScCollectorCollection instance belonging to this part More...
 
NXOpen.ScRuleFactory ScRuleFactory [get]
 Returns the ScRuleFactory instance belonging to this part More...
 
NXOpen.SectionCollection Sections [get]
 Returns the SectionCollection instance belonging to this part More...
 
NXOpen.Display.SelPrefCollection SelPref [get]
 Returns the Display. More...
 
NXOpen.Display.TrueShadingCollection SHEDObjs [get]
 Returns the Display. More...
 
NXOpen.SplineCollection Splines [get]
 Returns the SplineCollection instance belonging to this part More...
 
NXOpen.Display.TrueStudioCollection TrueStudioObjs [get]
 Returns the Display. More...
 
unsafe string UniqueIdentifier [get, set]
 Returns or sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
NXOpen.UnitCollection UnitCollection [get]
 Returns a collection of Units More...
 
NXOpen.UserDefinedObjects.UserDefinedObjectManager UserDefinedObjectManager [get]
 Returns the NXOpen.UserDefinedObjects.UserDefinedObjectManager belonging to this session More...
 
NXOpen.ValidationCollection Validations [get]
 Returns the validation for this part More...
 
NXOpen.ViewCollection Views [get]
 Returns the ViewCollection instance belonging to this part More...
 
NXOpen.WCS WCS [get]
 Returns the WCS instance belonging to this part More...
 
NXOpen.XformCollection Xforms [get]
 Returns the XformCollection instance belonging to this part More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents an NX part of type .prt.

Use the NXOpen.PartCollection class to load or create a part.

Created in NX3.0.0

Member Enumeration Documentation

The part family attribute types.

Enumerator
TextType 

text attribute

NumericType 

numeric attribute

IntegerType 

integer attribute

DoubleType 

double attribute

StringType 

string attribute

PartType 

part attribute

NameType 

name attribute

InstanceType 

instance attribute

ExpressionType 

expression attribute

MirrorType 

mirror attribute

DensityType 

density attribute

FeatureType 

feature attribute

The relations of the part file.

Enumerator
Standalone 

no master model support

ReferenceExisting 

Master model support

Mix 

support any one of relation

The units of the part file.

Enumerator
Inches 
Millimeters 
Mix 

Member Function Documentation

unsafe void NXOpen.Part.ConvertPreNX9CompoundWelds ( )
inline

Convert any existing pre-NX9 Compound Weld User Defined Objects to NX features.

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.BoundingObjectBuilder NXOpen.Part.CreateBoundingObjectBuilder ( )
inline

Creates an NXOpen.GeometricUtilities.BoundingObjectBuilder object.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe NXOpen.CAM.CAMSetup NXOpen.Part.CreateCamSetup ( string  templateName)
inline

Creates CAM setup

Created in NX4.0.0

License requirements: cam_base ("CAM BASE")

Parameters
templateNamethe name of the template type
Returns
the created cam setup
unsafe NXOpen.GeometricUtilities.BlendSetbackBuilder NXOpen.Part.CreateEmptyBlendSetbackBuilder ( )
inline

Creates a NXOpen.GeometricUtilities.BlendSetbackBuilder object

Created in NX9.0.0

License requirements: None.

Returns
New empty object
unsafe NXOpen.GeometricUtilities.BoundaryDefinitionBuilder NXOpen.Part.CreateEmptyBoundaryDefinitionBuilder ( )
inline

Creates boundary definition builder object

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe NXOpen.ExpressionCollectorSet NXOpen.Part.CreateEmptyExpressionCollectorSet ( )
inline

Creates an empty ExpressionCollectorSet item

Created in NX5.0.0

License requirements: None.

Returns
New ExpressionCollectorSet object
unsafe NXOpen.ExpressionSectionSet NXOpen.Part.CreateEmptyExpressionSectionSet ( )
inline

Creates an empty ExpressionSectionSet item

Created in NX5.0.0

License requirements: None.

Returns
New ExpressionSectionSet object
unsafe NXOpen.RegionPoint NXOpen.Part.CreateEmptyRegionPoint ( )
inline

Creates an empty item that contains a point and its corresponding body context for a region

Created in NX5.0.0

License requirements: None.

Returns
New empty Region point object
unsafe NXOpen.GeometricUtilities.SelectionList NXOpen.Part.CreateEmptySelectionList ( )
inline

Creates empty NXOpen.GeometricUtilities.SelectionList object.

Created in NX12.0.0

License requirements: None.

Returns
unsafe NXOpen.GeometricUtilities.SpinePlaneBuilder NXOpen.Part.CreateEmptySpinePlaneBuilder ( )
inline

Creates spine plane builder object

Created in NX11.0.0

License requirements: None.

Returns
unsafe NXOpen.GeometricUtilities.TransitionCurveBuilder NXOpen.Part.CreateEmptyTransitionCurveBuilder ( )
inline

Creates a NXOpen.GeometricUtilities.TransitionCurveBuilder object

Created in NX9.0.0

License requirements: None.

Returns
New empty object
unsafe NXOpen.GeometricUtilities.TwoExpressionsCollectorSet NXOpen.Part.CreateEmptyTwoExpressionsCollectorSet ( )
inline

Creates an empty TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions

Created in NX8.5.0

License requirements: None.

Returns
New TwoExpressionsCollectorSet object
unsafe NXOpen.GeometricUtilities.TwoExpressionsSectionSet NXOpen.Part.CreateEmptyTwoExpressionsSectionSet ( )
inline

Creates an empty TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions

Created in NX9.0.0

License requirements: None.

Returns
New TwoExpressionsSectionSet object
unsafe NXOpen.ExpressionCollectorSet NXOpen.Part.CreateExpressionCollectorSet ( NXOpen.ScCollector  collector,
string  value,
string  unitsType,
int  index 
)
inline

Creates an ExpressionCollectorSet item that contains a NXOpen.ScCollector collection and a corresponding expression

Created in NX5.0.0

License requirements: None.

Parameters
collectorSelection object
valueinitial expression string
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
Returns
New ExpressionCollectorSet object
unsafe NXOpen.ExpressionSectionSet NXOpen.Part.CreateExpressionSectionSet ( NXOpen.Section  section,
string  value,
string  unitsType,
int  index 
)
inline

Creates an ExpressionSectionSet item that contains a NXOpen.Section collection and a corresponding expression

Created in NX5.0.0

License requirements: None.

Parameters
sectionSection object
valueinitial expression string
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
Returns
New ExpressionSectionSet object
unsafe NXOpen.CAM.InspectionSetup NXOpen.Part.CreateInspectionSetup ( string  templateName)
inline

Creates CMM Inspection setup

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
templateNamethe name of the template type
Returns
the created CMM Inspection setup
unsafe NXOpen.SIM.KinematicConfigurator NXOpen.Part.CreateKinematicConfigurator ( )
inline

Create an instance of NXOpen.SIM.KinematicConfigurator class that will be used to manage all Machine tool Builder and Configurator objects

Created in NX7.5.0

License requirements: ug_isv_full ("Full functionality for Integrated Simulation and Verification") OR nx_isv_mtb ("Machine Tool Builder") OR resource_manager_nx ("Teamcenter Resource Manager")

Returns
The new Machine Tool Configurator
unsafe NXOpen.ObjectList NXOpen.Part.CreateObjectList ( )
inline

Creates an empty list that can be populated with any NXObject

Created in NX4.0.0

License requirements: None.

Returns
ObjectList object
unsafe NXOpen.PartFamilyManager NXOpen.Part.CreatePartFamily ( NXOpen.Part.PartFamilyAttributeData[]  attributeData,
NXOpen.PartFamilyMemberData  memberData 
)
inline

Create a part family of the part.

Created in NX6.0.0

Deprecated in NX9.0.0. Use NXOpen.PartFamily.TemplateManager.CreatePartFamily instead

License requirements: None.

Parameters
attributeDatathe attributes data
memberDatathe member data
Returns
the new NXOpen.PartFamilyManager instance
unsafe NXOpen.GeometricUtilities.PointSetAlignmentBuilder NXOpen.Part.CreatePointSetAlignmentBuilder ( )
inline

Creates point set alignment builder object

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe NXOpen.GeometricUtilities.PointsFromFileBuilder NXOpen.Part.CreatePointsFromFileBuilder ( )
inline

Creates a NXOpen.GeometricUtilities.PointsFromFileBuilder object

Created in NX8.5.0

License requirements: None.

Returns
New empty object
unsafe NXOpen.RegionPoint NXOpen.Part.CreateRegionPoint ( NXOpen.Point  point,
NXOpen.Body  body 
)
inline

Creates an item that contains a point and its corresponding body context for a region

Created in NX5.0.0

License requirements: None.

Parameters
pointPoint object
bodyBody context object for point
Returns
Region point object
unsafe NXOpen.GeometricUtilities.SelectionList NXOpen.Part.CreateSelectionList ( )
inline

Creates a NXOpen.GeometricUtilities.SelectionList object with embeded NXOpen.Section .

Use this API to create selection list enabled with selection intent.

Created in NX8.0.0

License requirements: None.

Returns
unsafe NXOpen.GeometricUtilities.TwoExpressionsCollectorSet NXOpen.Part.CreateTwoExpressionsCollectorSet ( NXOpen.ScCollector  collector,
string  value,
string  valueTwo,
string  unitsType,
int  index 
)
inline

Creates an TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions

Created in NX8.5.0

License requirements: None.

Parameters
collectorSelection object
valueinitial expression string
valueTwoinitial expression string for second expression
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
Returns
New TwoExpressionsCollectorSet object
unsafe NXOpen.GeometricUtilities.TwoExpressionsSectionSet NXOpen.Part.CreateTwoExpressionsSectionSet ( NXOpen.Section  section,
string  value,
string  valueTwo,
string  unitsType,
int  index 
)
inline

Creates an TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions

Created in NX9.0.0

License requirements: None.

Parameters
sectionSelection object
valueinitial expression string for first expression
valueTwoinitial expression string for second expression
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
Returns
New TwoExpressionsSectionSet object
unsafe NXOpen.GeometricUtilities.WaveLinkRepository NXOpen.Part.CreateWavelinkRepository ( )
inline

Create the link repository to handle interpart selection

Created in NX6.0.0

License requirements: None.

Returns
unsafe void NXOpen.Part.DeleteCamSetup ( )
inline

Delete CAM setup

Created in NX4.0.0

License requirements: cam_base ("CAM BASE")

unsafe void NXOpen.Part.DeleteInspectionSetup ( )
inline

Delete CMM Inspection setup

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Part.DeleteRetainedDraftingObjectsInCurrentLayout ( )
inline

Deletes all retained drafting objects in the current layout of part that are currently in the "retained" state.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.PartFamily.Instance NXOpen.Part.GetFamilyInstance ( )
inline

Obtains the NXOpen.PartFamily.Instance from part.

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe NXOpen.Part [] NXOpen.Part.GetInterpartChildren ( )
inline

Returns a list of child parts in the current session that contain interpart geometry.

Created in NX3.0.0

License requirements: None.

Returns
unsafe NXOpen.Part [] NXOpen.Part.GetInterpartParents ( )
inline

Returns a list of parts in the current session that contain the defining geometry for linked geometry in this part.

Created in NX3.0.0

License requirements: None.

Returns
unsafe NXOpen.PartFamilyManager NXOpen.Part.GetPartFamilyManager ( )
inline

Create an instance of a NXOpen.PartFamilyManager class that will be used to edit part family of the part.

Created in NX6.0.0

Deprecated in NX9.0.0. Use NXOpen.Part.NewPartFamilyTemplateManager instead

License requirements: None.

Returns
the new NXOpen.PartFamilyManager instance
unsafe NXOpen.Part.FeatureUpdateStatus [] NXOpen.Part.GetUpdateStatusReport ( out int  numFailed)
inline

Get feature update status report

Created in NX3.0.0

License requirements: None.

Parameters
numFailednumber of failed features
Returns
list of affected features
unsafe void NXOpen.Part.MakeAllFeaturesInactive ( )
inline

Makes all the features of the part inactive

Created in NX7.5.4

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Part.MakeNoPartModuleActive ( )
inline

Deactivates any part module that is active in the given part.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.PartFamilyMemberData NXOpen.Part.NewPartFamilyMemberData ( )
inline

Create an instance of a NXOpen.PartFamilyMemberData class that will be used to store the member count and member values of each member.

Created in NX6.0.0

Deprecated in NX9.0.0. Create and use NXOpen.PartFamily.InstanceDefinition objects using NXOpen.PartFamily.TemplateManager.AddInstanceDefinition

License requirements: None.

Returns
the new NXOpen.PartFamilyMemberData instance
unsafe NXOpen.PartFamilyMemberValues NXOpen.Part.NewPartFamilyMemberValues ( )
inline

Create an instance of a NXOpen.PartFamilyMemberValues class that will be used to store the attribute values of a member.

Created in NX6.0.0

Deprecated in NX9.0.0. Use NXOpen.PartFamily.InstanceDefinition and NXOpen.PartFamily.InstanceDefinition.SetValueOfAttribute

License requirements: None.

Returns
the new NXOpen.PartFamilyMemberValues instance
unsafe NXOpen.PartFamily.TemplateManager NXOpen.Part.NewPartFamilyTemplateManager ( )
inline

Creates an instance of a NXOpen.PartFamily.TemplateManager class that will be used to manage part family associated with this part

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe NXOpen.Features.EdgeBlend [] NXOpen.Part.RemoveMissingParentsFromEdgeBlend ( out int[]  removedEdgeCounts)
inline

Removes missing parent edges from all edge blend features in the part

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
the edge blend features with missing parents
Parameters
removedEdgeCountsthe count of removed edges for each of the edge blend features with missing parents
unsafe void NXOpen.Part.ResetTimestampToLatestFeature ( )
inline

Sets the timestamp for the part to the timestamp of the latest feature in the part.

Use this when you have deleted the latest feature and you want to reuse the timestamp assigned to that feature

Created in NX3.0.0

License requirements: None.

Property Documentation

NXOpen.GeometricUtilities.BlendStopshortBuilderCollection NXOpen.Part.BlendStopshortBuilder
get

Returns the BlendStopshortBuilderCollection instance belonging to this part

Created in NX5.0.0

NXOpen.BodyCollection NXOpen.Part.Bodies
get

Returns the BodyCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Tooling.CAMDataManager NXOpen.Part.CAMDataManager
get

Returns the Tooling.

CAMDataManager for this part

Created in NX9.0.0

NXOpen.GeometricUtilities.CAMDataPrepManager NXOpen.Part.CAMDataPrepManager
get

Returns the CAMDataPrepManager instance belonging to this part

Created in NX9.0.0

unsafe NXOpen.CAM.CAMSetup NXOpen.Part.CAMSetup
get

Returns the CAM setup of the work part

Created in NX4.0.0

License requirements: cam_base ("CAM BASE")

NXOpen.ClipboardOperationsManager NXOpen.Part.ClipboardOperationsManager
get

Returns the ClipboardOperations manager for this part

Created in NX5.0.0

NXOpen.Layout2d.ComponentCollection NXOpen.Part.Component2dCollection
get

Returns the ComponentCollection instance belonging to this part

Created in NX9.0.0

NXOpen.Layout2d.ComponentDefinitionCollection NXOpen.Part.ComponentDefinitions
get

Returns the ComponentDefinitionCollection instance belonging to this part

Created in NX9.0.0

NXOpen.Assemblies.ComponentGroupCollection NXOpen.Part.ComponentGroups
get

Returns the collection of ComponentGroups for this part

Created in NX5.0.0

unsafe NXOpen.Features.Feature NXOpen.Part.CurrentFeature
get

Returns the current feature.

Created in NX3.0.0

License requirements: None.

NXOpen.CutViewCollection NXOpen.Part.CutViews
get

Returns the CutViewCollection instance belonging to this part

Created in NX3.0.0

NXOpen.PDM.DBEntityProxyCollection NXOpen.Part.DBEntityProxies
get

Returns the DBEntityProxyCollection instance belonging to this part

Created in NX11.0.1

NXOpen.Diagramming.DiagrammingManager NXOpen.Part.DiagrammingManager
get

Returns the DiagrammingManager instance belonging to this part

Created in NX10.0.0

NXOpen.Die.DieSimCollection NXOpen.Part.DieSimData
get

Returns the Die.

DieSimCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Annotations.DimensionCollection NXOpen.Part.Dimensions
get

Returns the DimensionCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Positioning.DisplayedConstraintCollection NXOpen.Part.DisplayedConstraints
get

Returns the DisplayedConstraintCollection belonging to this part

Created in NX7.5.0

NXOpen.DraftingManager NXOpen.Part.Drafting
get

Returns the DraftingManager for part

Created in NX3.0.0

NXOpen.Drawings.DraftingDrawingSheetCollection NXOpen.Part.DraftingDrawingSheets
get

Returns the DraftingDrawingSheetCollection instance belonging to this part

Created in NX12.0.0

NXOpen.Drafting.DraftingApplicationManager NXOpen.Part.DraftingManager
get

Returns the DraftingApplicationManager for part

Created in NX7.5.0

NXOpen.Drawings.DraftingViewCollection NXOpen.Part.DraftingViews
get

Returns the DraftingViewCollection instance belonging to this part

Created in NX3.0.0

NXOpen.DraftPointDataCollection NXOpen.Part.DraftPointData
get

Returns the collection of DraftPointData

Created in NX3.0.0

NXOpen.DrawingCompareManager NXOpen.Part.DrawingCompare
get

Returns the DraftingManager for part

Created in NX7.5.0

NXOpen.Drawings.DrawingSheetCollection NXOpen.Part.DrawingSheets
get

Returns the DrawingSheetCollection instance belonging to this part

Created in NX3.0.0

NXOpen.GeometricUtilities.FacePlaneSelectionBuilderCollection NXOpen.Part.FacePlaneSelectionBuilderData
get

Returns the FacePlaneSelectionBuilderCollection instance belonging to this part

Created in NX6.0.0

Returns the FaceSetDataCollection instance belonging to this part

Created in NX5.0.0

Deprecated in NX8.5.0. This class is never used and can be safely removed

NXOpen.GeometricUtilities.FaceSetOffsetCollection NXOpen.Part.FaceSetOffsets
get

Returns the FaceSetOffsets instance belonging to this part

Created in NX3.0.0

NXOpen.FacetCollectorCollection NXOpen.Part.FacetCollectorCollection
get

Returns the FacetCollectorCollection instance belonging to this part

Created in NX12.0.0

NXOpen.Facet.FacetedBodyCollection NXOpen.Part.FacetedBodies
get

Returns the FacetedBodyCollection instance belonging to this part

Created in NX5.0.0

NXOpen.FacetSelectionRuleFactory NXOpen.Part.FacetSelectionRuleFactory
get

Returns the FacetSelectionRuleFactory instance belonging to this part

Created in NX12.0.0

NXOpen.Mechatronics.GanttCollection NXOpen.Part.GanttCollection
get

Returns the GanttCollection instance belonging to this part

Created in NX7.5.1

NXOpen.Mechatronics.GanttLinkerCollection NXOpen.Part.GanttLinkerCollection
get

Returns the GanttLinkerCollection instance belonging to this part

Created in NX10.0.0

NXOpen.Annotations.GdtCollection NXOpen.Part.Gdts
get

Returns a collection of GDTs

Created in NX3.0.0

NXOpen.GeometricUtilities.GeometryLocationDataCollection NXOpen.Part.GeometryLocationData
get

Returns the GeometryLocationDataCollection instance belonging to this part

Created in NX5.0.0

unsafe bool NXOpen.Part.HasReuseTemplate
get

Returns the indicator that the part contains a reuse template.

Created in NX6.0.0

License requirements: None.

NXOpen.ImportManager NXOpen.Part.ImportManager
get

Returns the import manager for this part

Created in NX5.0.0

unsafe NXOpen.CAM.InspectionSetup NXOpen.Part.InspectionSetup
get

Returns the CMM Inspection setup of the work part

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Part.IsBookletPart
get

Returns the status on whether input part is bookletPart or not a bookletPart.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SIM.KinematicConfigurator NXOpen.Part.KinematicConfigurator
get

Returns the NXOpen.SIM.KinematicConfigurator instance of the work part

Created in NX7.5.0

License requirements: None.

NXOpen.Annotations.LabelCollection NXOpen.Part.Labels
get

Returns a collection of labels

Created in NX3.0.0

NXOpen.Layout2d.LayoutDrawingSheetCollection NXOpen.Part.LayoutDrawingSheets
get

Returns the LayoutDrawingSheetCollection instance belonging to this part

Created in NX12.0.0

NXOpen.Layout2d.LocalDefinitionFolderCollection NXOpen.Part.LocalDefinitionFolders
get

Returns the LocalDefinitionFolderCollection instance belonging to this part

Created in NX9.0.0

NXOpen.GeometricUtilities.LocalUntrimManager NXOpen.Part.LocalUntrimManager
get

Obtains the LocalUntrimManager instance belonging to this part

Created in NX9.0.0

NXOpen.Motion.MarkerCollection NXOpen.Part.Markers
get

Return a collection of Markers

Created in NX3.0.0

NXOpen.Mechatronics.MechatronicsManager NXOpen.Part.MechatronicsManager
get

Returns the MechatronicsManager instance belonging to this part

Created in NX7.5.1

NXOpen.Motion.MotionManager NXOpen.Part.MotionManager
get

Returns the MotionManager for this part

Created in NX3.0.0

NXOpen.Annotations.NoteCollection NXOpen.Part.Notes
get

Returns a collection of notes

Created in NX3.0.0

NXOpen.GeometricUtilities.OmnicadManager NXOpen.Part.OmnicadManager
get

Obtains the OmnicadManager instance belonging to this part

Created in NX10.0.0

NXOpen.BodyDes.OnestepUnformCollection NXOpen.Part.OnestepUnforms
get

Returns the BodyDes.

OnestepUnformCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Motion.PackagingCollection NXOpen.Part.PackagingCollection
get

Returns the PackagingCollection for this part

Created in NX3.0.0

NXOpen.Features.ShipDesign.PenetrationManager NXOpen.Part.PenetrationManager
get

Returns the PenetrationManager for this part

Created in NX8.0.0

NXOpen.Mechatronics.PhysicsManager NXOpen.Part.PhysicsManager
get

Returns the PhysicsManager for this part

Created in NX7.5.1

NXOpen.PLAS.PlasManager NXOpen.Part.PlasManager
get

Returns the PlasManager instance belonging to this part

Created in NX11.0.0

NXOpen.Annotations.PmiManager NXOpen.Part.PmiManager
get

Returns the PmiManager for this part

Created in NX3.0.0

NXOpen.Annotations.PmiSettingsManager NXOpen.Part.PmiSettingsManager
get

Returns the PmiSettingsManager for part

Created in NX1847.0.0

NXOpen.Assemblies.ProductInterface.Collection NXOpen.Part.ProductInterface
get

Returns the ProductInterface Collection

Created in NX5.0.0

NXOpen.Mechatronics.ProxyObjectCollection NXOpen.Part.ProxyObjectCollection
get

Returns the ProxyObjectCollection instance belonging to this part

Created in NX8.5.0

NXOpen.Mechatronics.ProxyOverrideObjectCollection NXOpen.Part.ProxyOverrideObjectCollection
get

Returns the ProxyOverrideObjectCollection instance belonging to this part

Created in NX8.5.0

NXOpen.Assemblies.RelinkerCollection NXOpen.Part.Relinkers
get

Returns the RelinkerCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Tooling.AddReusablePartCollection NXOpen.Part.ReusableParts
get

Returns the AddReusablePartCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Routing.RouteManager NXOpen.Part.RouteManager
get

Returns the RouteManager for this part

Created in NX3.0.0

NXOpen.Routing.SegmentManager NXOpen.Part.SegmentManager
get

Returns the SegmentManager for this part

Created in NX3.0.0

NXOpen.Drafting.SettingsManager NXOpen.Part.SettingsManager
get

Returns the SettingsManager for part

Created in NX9.0.0

NXOpen.Annotations.ShipDimensionCollection NXOpen.Part.ShipDimensions
get

Returns the ShipDimensionCollection instance belonging to this part

Created in NX9.0.0

NXOpen.SketchCollection NXOpen.Part.Sketches
get

Returns the SketchCollection instance belonging to this part

Created in NX3.0.0

NXOpen.SketchEvaluatorCollection NXOpen.Part.SketchEvaluators
get

Returns the collection of SketchEvaluator

Created in NX3.0.0

NXOpen.Diagramming.SmartDiagrammingManager NXOpen.Part.SmartDiagrammingManager
get

Returns the SmartDiagrammingManager instance belonging to this part

Created in NX1847.0.0

Returns the SpinePointDataCollection instance belonging to this part

Created in NX5.0.0

NXOpen.Features.Subdivision.SubdivisionBodyCollection NXOpen.Part.SubdivisionBodies
get

Returns the SubdivisionBodyCollection instance belonging to this part

Created in NX9.0.0

NXOpen.Tooling.ToolingManager NXOpen.Part.ToolingManager
get

Returns the ToolingManager instance belonging to this part

Created in NX3.0.0

NXOpen.TracelineCollection NXOpen.Part.Tracelines
get

Returns a collection of tracelines

Created in NX3.0.0

NXOpen.UserDefinedTemplate.Collection NXOpen.Part.UserDefinedTemplates
get

Returns the UserDefinedTemplate.

Collection instance belonging to this part

Created in NX10.0.0

NXOpen.GeometricUtilities.UVMapping.UVMappingCollection NXOpen.Part.UVMappingCollection
get

Returns the UVMappingCollection instance belonging to this part

Created in NX1847.0.0

NXOpen.Drawings.ViewAlignmentCollection NXOpen.Part.ViewAlignments
get

Returns the ViewAlignmentCollection belonging to this part

Created in NX8.5.0

NXOpen.Preferences.ViewPreferences NXOpen.Part.ViewPreferences
get

Returns the ViewPreferences Collection

Created in NX5.0.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.